##
##  nant.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2012 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_opkg 0.92
%define       V_dist 0.92

#   package information
Name:         nant
Summary:      Ant-Style Build Tool for .NET
URL:          http://nant.sourceforge.net/
Vendor:       Gerry Shaw et al.
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        EVAL
Group:        Building
License:      GPL
Version:      %{V_opkg}
Release:      20120610

#   list of sources
Source0:      http://switch.dl.sourceforge.net/nant/nant-%{V_dist}-src.tar.gz
Patch0:       nant.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20100101, mono, make, pkgconfig
PreReq:       OpenPKG, openpkg >= 20100101, mono

%description
    NAnt is a free .NET build tool. In theory it is kind of like make(1)
    without make(1)'s wrinkles. In practice it's a lot like Java's Ant.

%track
    prog nant = {
        version   = %{V_dist}
        url       = http://nant.sourceforge.net/
        regex     = >(\d\.\d\d)<
    }

%prep
    %setup -q -n nant-%{V_dist}
    %patch -p0

%build
    %{l_make} %{l_mflags} bootstrap
    %{l_make} %{l_mflags} build-nant

%install
    %{l_make} %{l_mflags} install buildroot=$RPM_BUILD_ROOT%{l_prefix}
    %{l_shtool} mkdir -f -p -m 755 $RPM_BUILD_ROOT%{l_prefix}/bin
    ( echo '#!%{l_bash}'
      echo '%{l_prefix}/bin/mono %{l_prefix}/share/nant/bin/NAnt.exe ${1+"$@"}'
    ) >$RPM_BUILD_ROOT%{l_prefix}/bin/nant
    chmod 775 $RPM_BUILD_ROOT%{l_prefix}/bin/nant
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

